%tesa_latex_plot_figure  plot values in a latex file
%  tesa_latex_plot_figure.m
%
%  Author:         Serge Fabre
%  Date Created:   Nov 13 2019
%  
%   Arguments :                   
%   	Path : Path to the directoy of the latex document
%       Label : Label of the figure used by '\re{Label}' in the document
%       Caption : Caption of the gigure
%       X : X values Matrix 1 x M  M is the number of values
%       Y : Y series values N x M  N is the number of series, M is the number of values
%       XTitle : Legend for X 
%       LogX :  Boolean for log X scale
%       YTitle : Legend for Y scale 
%       LogY : Boolean for log Y scale
%       str : Names of the series (N string)
%       YLim : Limits of Y scale optional
%
%  The calling syntax is:
% 
%   tesa_latex_plot_figure(Path,Label,Caption,X,Y,XTitle,LogX,YTitle,LogY,str,YLim)
% 
%  Copyright 2019 The TESA, Inc.
% 
function tesa_latex_plot_figure(Path,Label,Caption,X,Y,XTitle,LogX,YTitle,LogY,str,YLim)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

if size(X,2)~= size(Y,2)
   error('Error. Bad matrix dimensions for X and Y.')
end
if size(Y,1)~= size(str,2)
   error('Error. Bad matrix dimensions for X and Y.')
end
if ~exist('YLim','var')
    fileID = tesa_latex_plot_open([Path,'/',Label,'.tex'],Caption,XTitle,LogX,YTitle,LogY,X);  
else
    fileID = tesa_latex_plot_open([Path,'/',Label,'.tex'],Caption,XTitle,LogX,YTitle,LogY,X,YLim);                
end
for s=1:size(Y,1)        
    tesa_latex_plot_write(fileID,X,Y(s,:),cell2mat(str(s)));    
end
tesa_latex_plot_close(fileID,Label,LogX,LogY);  
end

