%tesa_latex_plot_multi_close close a file for multi plot values in a latex file
%  tesa_latex_plot_multi_close.m
%
%  Author:         Serge Fabre
%  Date Created:   Nov 13 2019
%  
%   Arguments :                   
%   	fileID : Handle of the file
%       Label : Label of the figure (the same used for open)
%       Title : Names of the series (N string)
%       YTitle : Legend for Y scale 
%       L : Number of variables by line in legend
%
%  The calling syntax is:
% 
%   tesa_latex_plot_multi_close(fileID,Label,Title,YTitle,L)
% 
%  Copyright 2019 The TESA, Inc.
% 
function tesa_latex_plot_multi_close(fileID,Label,Title,YTitle,L)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
fprintf(fileID,'\t\t\\coordinate (bot) at (rel axis cs:1,0);%% coordinate at bottom of the last plot\n'); 
fprintf(fileID,'\t\t\\end{groupplot}\n'); 
		
fprintf(fileID,'\t\t\\path (top-|current bounding box.west)--\n');  
fprintf(fileID,'\t\tnode[anchor=south,rotate=90] {%s}\n',YTitle);  
fprintf(fileID,'\t\t(bot-|current bounding box.west);\n'); 
fprintf(fileID,'\t\t%% legend\n'); 
fprintf(fileID,'\t\t\\path (top|-current bounding box.north)--\n'); 
fprintf(fileID,'\t\tcoordinate(legendpos)\n'); 
fprintf(fileID,'\t\t(bot|-current bounding box.north);\n'); 
fprintf(fileID,'\t\t\\matrix[\n'); 
fprintf(fileID,'\t\tmatrix of nodes,\n'); 
fprintf(fileID,'\t\tanchor=south,\n'); 
fprintf(fileID,'\t\tdraw,\n'); 
fprintf(fileID,'\t\tinner sep=0.2em,\n'); 
fprintf(fileID,'\t\tdraw\n'); 
fprintf(fileID,'\t\t]at([yshift=1ex]legendpos)\n'); 
fprintf(fileID,'\t\t{\n'); 
    for j=1:size(Title,2)        
        Lb = strrep(cell2mat(Title(j)),'_','A'); 
        fprintf(fileID,'\t\t\t \\ref{%s%s}& %s',Label,Lb,strrep(cell2mat(Title(j)),'_','\_')); 
        if (mod(j,L)== 0) || (j==size(Title,2))
            fprintf(fileID,'\\\\\n'); 
        else
            fprintf(fileID,' & [3pt]  &\n'); 
        end        
    end   
fprintf(fileID,'\t\t};\n'); 
fprintf(fileID,'\t\t\\end{tikzpicture}\\label{%s}\n',Label); 
fprintf(fileID,'\t\\end{center}\n'); 					
fprintf(fileID,'\\end{figure}\n'); 
fclose(fileID);
end

