%tesa_latex_plot_multi_figure write a plot for multi plot values in a latex file
%  tesa_latex_plot_multi_figure.m
%
%  Author:         Serge Fabre
%  Date Created:   Nov 13 2019
%  
%   Arguments :                   
%   	fileID : Handle of the file
%       Plot : Name of the plot
%       m : Number of the plot
%       X : X values Matrix 1 x M  M is the number of values
%       Y : Y series values N x M  N is the number of series, M is the number of values
%       Label : Label of the figure (the same used for open)%       
%       str : Names of the series (N string)
%
%  The calling syntax is:
% 
%   tesa_latex_plot_multi_figure(fileID,Plot,m,X,Y,Label,str)
% 
%  Copyright 2019 The TESA, Inc.
% 
function tesa_latex_plot_multi_figure(fileID,Plot,m,X,Y,Label,str)
    fprintf(fileID,'\t\t\\nextgroupplot[title=%s]\n',Plot); 
    for s=1:size(str,2)                
        tesa_latex_plot_multi_write(fileID,X,Y(s,:),Label,cell2mat(str(s)));
    end     
    if m == 1
        fprintf(fileID,'\t\t\\coordinate (top) at (rel axis cs:0,1);%% coordinate at top of the first plot\n');
    end  
end

