function fileID = tesa_latex_plot_open(Path,Title,XTitle,LogX,YTitle,LogY,X,Y)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
fileID = fopen(Path,'wt'); 
fprintf(fileID,'\t\\begin{figure}[H]\n');
fprintf(fileID,'\t\t\\begin{center}\n');
fprintf(fileID,'\t\t\t\\caption{%s}\n',Title);
fprintf(fileID,'\t\t\t\\tikzstyle{int}=[draw, fill=blue!20, minimum size=2em]\n');
fprintf(fileID,'\t\t\t\\tikzstyle{init} = [pin edge={to-,thin,black}]\n');
fprintf(fileID,'\t\t\t\\begin{tikzpicture}\n');
if(LogX==false) && (LogY==true)
    fprintf(fileID,'\t\t\t\\begin{semilogyaxis}[\n');
else
    if (LogX==false) && (LogY==false)
        fprintf(fileID,'\t\t\t\\begin{axis}[\n');
    else
        if (LogX==true) && (LogY==false)
            fprintf(fileID,'\t\t\t\\begin{semilogxaxis}[\n');
        else
            fprintf(fileID,'\t\t\t\\begin{loglogaxis}[\n');
        end 
    end    
end
fprintf(fileID,'\t\t\tlegend style={at={(0.5,-0.1)},anchor=north},\n');
fprintf(fileID,'\t\t\ttitle=%s,\n',XTitle);
fprintf(fileID,'\t\t\tylabel={%s},\n',YTitle);
fprintf(fileID,'\t\t\tgrid=major,\n');
fprintf(fileID,'\t\t\txmin=%e,\n',X(1));
if exist('Y','var')
    fprintf(fileID,'\t\t\txmax=%e,\n',X(end));
    fprintf(fileID,'\t\t\tymin=%e,\n',Y(1));
    fprintf(fileID,'\t\t\tymax=%e]\n',Y(end));
else
    fprintf(fileID,'\t\t\txmax=%e]\n',X(end));
end
end

